//
//  YouzuH5SDK.h
//  YouzuH5SDK
//
//  Created by mengxl on 2017/7/31.
//  Copyright © 2017年 mengxl. All rights reserved.
//

#import <UIKit/UIKit.h>

//! Project version number for YouzuH5SDK.
FOUNDATION_EXPORT double YouzuH5SDKVersionNumber;

//! Project version string for YouzuH5SDK.
FOUNDATION_EXPORT const unsigned char YouzuH5SDKVersionString[];

@interface YouzuH5SDK : NSObject

/**
 *  Description 打开指定URL的H5页面，注意URL要完整
 *
 *  @param url      指定页面的地址
 *  @param userInfo 详细的用户信息
 */
+ (void)openH5View:(NSString *)url
          userInfo:(NSDictionary *)userInfo;

// 支付协议
+ (void)payProtocol:(void (^)(NSString *productId))paymentBlock;
// 获取平台订单号成功回调
+ (void)getOrderIdSuccess:(NSString *)orderId;

/* 扩展 */
// 通用协议
+ (void)commonProtocol:(void (^)(NSDictionary *parameters))implementBlock;
// 通用协议回调
+ (void)commomProtocolCallback:(NSDictionary *)parameters;

// H5页面关闭回调
+ (void)H5ViewDidClose:(void(^)())block;

@end

/*
 userInfo 参数示例
 
 @{
 @"ticket"     : ticket,        // SuperSDK用户登录票据，可用于用户验证
 @"gameId"     : @"94",         // 开服系统游戏编号
 @"serverId"   : @"100000001",  // 游戏区服编号
 @"serverName" : @"测试服",      // 游戏区服名称
 @"roleId"     : @"g1029388822",// 角色编号
 @"roleName"   : @"墨韵",        // 角色名
 @"level"      : @"125",        // 角色等级
 @"vipGrade"   : @"15",         // VIP等级
 @"opId"       : @"2107",       // 渠道编号
 @"extend"     : @{
 @"extend1" : @"value1",
 @"extend2" : @"value2"
 }// 扩展信息
 }
 
 */


